import request from '@/utils/request'

// 查询双向呼叫号码列表
export function listMobileMiddle(query) {
  return request({
    url: '/system/MobileMiddle/list',
    method: 'get',
    params: query
  })
}

// 查询双向呼叫号码详细
export function getMobileMiddle(id) {
  return request({
    url: '/system/MobileMiddle/' + id,
    method: 'get'
  })
}

// 新增双向呼叫号码
export function addMobileMiddle(data) {
  return request({
    url: '/system/MobileMiddle',
    method: 'post',
    data: data
  })
}

// 修改双向呼叫号码
export function updateMobileMiddle(data) {
  return request({
    url: '/system/MobileMiddle',
    method: 'put',
    data: data
  })
}

// 删除双向呼叫号码
export function delMobileMiddle(id) {
  return request({
    url: '/system/MobileMiddle/' + id,
    method: 'delete'
  })
}
